:root {
  height: 100%;
  --main-bg-light: #ffffff;
  --second-bg-light: #fafafb;
  --txt-color-light: #545454; /*#455560 */
  --txt-color-dark: #343f46;

  --main-bg-colored: #fafafb;
  --main-color: #66ca1c;
  --main-color-light: #9fe56a;
  --main-color-pastel: #9dc67d;
  --main-color-light-pastel: #e0ffcd;
  --main-color-dark: #18aa6d;
  --main-color-dark-pastel: #68b11f;

  --main-color-blue: #00b0f0;
  --main-color-blue-light: #94dbf2;
  --main-color-blue-pastel: #d9edff;
  --main-color-blue-dark: #0d96c2;

  --main-color-yellow: #f8c153;
  --main-color-yellow-light: #ffe1a5;
  --main-color-yellow-pastel: #ffeeb0;
  --main-color-yellow-dark: #dfae4b;

  --main-color-pink: #f7726c;
  --main-color-pink-light: #f6a39f;
  --main-color-pink-pastel: #fcd4d1;
  --main-color-pink-dark: #de6761;
}

body {
  font-family: "Open Sans", sans-serif;
  font-size: 16px;
  line-height: 1.5;
  margin: 0;
  padding: 0;
  height: 100%;
  color: var(--txt-color-dark);
  background-color: var(--second-bg-light);
  overflow: hidden;
}

#root {
  height: 100%;
}

.layout__container {
  display: flex;
  flex-direction: column;
  height: 100%;
}

.homepage__container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 100%;
}

.homepage__container h1 {
  font-size: 50px;
  margin: 0;
  color: var(--txt-color-dark);
}

.homepage__container p {
  max-width: 300px;
  font-size: 30px;
  text-align: center;
  margin-top: 0;
  margin-bottom: 10px;
  color: var(--txt-color-light);
}

.homepage__container span,
footer {
  margin-top: 20px;
  text-align: center;
  max-width: 200px;
}

.homepage__container__buttons {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  margin-top: 20px;
}

button {
  background: none;
  border: 1px solid var(--txt-color-dark);
  letter-spacing: 0.01em;
  position: relative;
  height: 3em;
  border-radius: 1.5em;
  align-content: center;
  letter-spacing: 0.05em;
  font-size: 16px;
  line-height: 28px;
  cursor: pointer;
  padding: 0 2em;
  margin: 0 10px 8px;
  font-weight: 400;
  width: 180px;
}

.modal__container {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  display: flex;
  justify-content: center;
  align-items: center;
}

.modal__container__content {
  background-color: var(--main-bg-light);
  padding: 30px;
  border-radius: 8px;
  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.3);
  width: 60%;
}

.modal__container__content h2 {
  margin-top: 0;
}

.modal__container__content h3 {
  margin-top: 0;
}

.modal__container__content h4 {
  margin-top: 0;
  margin-bottom: 10px;
}

.modal__container__content ul {
  list-style: none;
  padding: 0;
}

.modal__container__content ul li {
  margin-bottom: 10px;
}

.modal__container__content strong {
  display: block;
  margin-top: 10px;
}

.modal__container__content button {
  margin-top: 20px;
  left: 50%;
  transform: translateX(-50%);
}

.navbargame__container,
.headerbar__container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding-left: 20px;
  padding-right: 20px;
  color: var(--txt-color-light);
  background-color: var(--main-bg-light);
  box-shadow: rgba(0, 0, 0, 0.1) 0px 0.125em 0.1875em;
  height: 60px;
}

.headerbar__container svg {
  cursor: pointer;
}

.headerbar__container img {
  padding-top: 5px;
}

.navbargame__container__icons,
.headerbar__container__icons {
  display: flex;
}

.navbargame__container__icons > * + * {
  margin-left: 10px;
}

.gameboard__container {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-top: 20px;
  padding-bottom: 20px;
}

.gameboard__container__grid {
  display: grid;
  max-width: 500px;
}

.gameboard__container__grid__row {
  display: flex;
  justify-content: center;
}

.gameboard__container__grid__row__cell {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 50px;
  height: 50px;
  border: 2px solid var(--txt-color-dark);
  font-size: 24px;
  margin: 5px;
}

.gameboard__container__alphabet {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  margin-top: 10px;
  height: auto;
  max-width: 460px;
  padding: 10px;
}

.gameboard__container__alphabet__button {
  font-size: 1.25em;
  font-weight: bold;
  border: 0;
  padding: 0;
  margin: 0 6px 6px 0;
  height: 52px;
  max-width: 40px;
  min-width: 40px;
  border-radius: 4px;
  cursor: pointer;
  background-color: var(--txt-color-light);
  color: var(--main-bg-light);
  flex: 1;
  display: flex;
  justify-content: center;
  align-items: center;
  text-transform: uppercase;
}

.gameboard__container__alphabet__button:hover {
  background-color: var(--txt-color-dark);
}

.gameboard__container__grid__row__cell.wrong-letter {
  background-color: var(--main-color-pink);
}

.gameboard__container__grid__row__cell.bad-position {
  background-color: var(--main-color-yellow);
}

.gameboard__container__grid__row__cell.good-position {
  background-color: var(--main-color);
}

.display__scores__container {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  display: flex;
  justify-content: center;
  align-items: center;
}

.display__scores__content {
  background-color: var(--main-bg-light);
  padding: 20px;
  border-radius: 8px;
  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.3);
  width: 60%;
  text-align: center;
}

.display__scores__content__divider {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 30px;
}

.gamepage__container .gamepage__correct__answer {
  color: var(--main-color);
  font-weight: bold;
  font-size: 18px;
}

.modal__container__content p {
  font-weight: bold;
  text-decoration: underline;
}

.modal__container__examples {
  margin-bottom: 10px;
}

.modal__container__example {
  text-align: center;
  margin-top: 15px;
}

.modal__container__example h4 {
  margin-bottom: 10px;
}

.modal__container__example p {
  margin-top: 0;
  font-weight: bold;
  text-decoration: none;
  margin-bottom: 5px;
}

.loginpage__container {
  margin: 2.5em auto 0px;
  padding: 0px;
  width: 100%;
  min-width: 450px;
  max-width: 450px;
}

.loginpage__container h2 {
  text-align: center;
  margin-bottom: 30px;
}

.loginpage__container input {
  width: 96%;
  height: 2.75rem;
  border-radius: 3px;
  letter-spacing: normal;
  color: var(--txt-color-dark);
  background-color: var(--main-bg-light);
  margin: 5px 0 10px 0;
  padding-left: 10px;
  border: 1px solid var(--txt-color-dark);
}

.loginpage__container input:focus {
  border-color: var(--txt-color-dark);
  padding-left: 10px;
}

.loginpage__container input:disabled {
  border-color: rgb(118, 118, 118);
  color: rgb(118, 118, 118);
  cursor: not-allowed;
}

.loginpage__container label {
  font-weight: bold;
  font-size: 14px;
}

.loginpage__container button {
  position: relative;
  margin: 20px 0 10px 0;
  padding: 0px;
  width: 100%;
  height: 44px;
  border: 1px solid var(--txt-color-dark);
  border-radius: 3px;
  color: var(--main-bg-light);
  background-color: var(--txt-color-dark);
  font-weight: bold;
}

.loginpage__container button:hover {
  background-color: var(--txt-color-light);
}

.loginpage__container p {
  text-align: center;
  font-size: 14px;
  margin: 20px 0;
}

.loginpage__container .error {
  color: var(--main-color-pink);
  font-weight: bold;
  text-align: center;
  margin: 0;
}

.loginpage__providers button {
  display: flex;
  justify-content: center;
  align-items: center;
  color: var(--txt-color-dark);
  background-color: var(--main-bg-light);
}

.loginpage__providers button:hover {
  background-color: rgb(237, 237, 237);
}

.loginpage__providers button span {
  margin-left: 10px;
}

.loginpage__register p {
  font-size: 14px;
}

.loginpage__register a {
  color: var(--text-color-light);
  text-decoration: none;
  font-weight: bold;
}

.loginpage__register a:hover {
  text-decoration: underline;
}

.loginpage__register__successful {
  text-align: center;
  font-size: 40px;
}

.loginpage__register__successful .success {
  color: var(--main-color);
  font-size: 16px;
}

.loginpage__register__successful .redirect {
  font-size: 16px;
}

.loginpage__register__successful a {
  color: var(--text-color-light);
  font-size: 18px;
  font-weight: bold;
  text-decoration: none;
}

.loginpage__register__successful a:hover {
  text-decoration: underline;
}

.stats__container {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-top: 20px;
  padding-bottom: 20px;
}

.stats__container {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  display: flex;
  justify-content: center;
  align-items: center;
}

.stats__content {
  background-color: var(--main-bg-light);
  padding: 40px 20px 25px 20px;
  border-radius: 8px;
  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.3);
  width: 50%;
  text-align: center;
}

.stats__content__divider h2 {
  margin: 0;
}

.stats__content__divider h3 {
  margin: 20px 0 0 10px;
  text-align: left;
}

.stats__content__divider button {
  margin-top: 10px;
}

.stats__player {
  display: flex;
  justify-content: space-between;
  list-style: none;
  margin-bottom: 30px;
  padding: 0;
  margin-top: 0;
}

.stats__player li {
  flex: 1;
  margin: 10px;
}

.stats__player .stats__name {
  font-size: 14px;
  font-weight: 400;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  letter-spacing: 0.1em;
}

.stats__player .stats__value {
  font-size: 44px;
  font-weight: 500;
}

.loader__circular {
  position: relative;
  z-index: 1000;
  margin: 0 auto;
  width: 60px;
  height: 60px;
  border-radius: 50%;
  border: 4px solid var(--main-bg-light);
  border-top: 4px solid var(--main-color-pink);
  animation: spin 1s linear infinite;
}

.errorpage__container {
  padding: 20px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 100%;
}

.errorpage__container .errorpage__content {
  font-size: 30px;
  color: var(--main-color-pink);
  text-align: center;
}

.errorpage__container .errorpage__content a {
  color: var(--main-color-pink);
  text-decoration: none;
  font-weight: bold;
}

.errorpage__container .errorpage__content a:hover {
  text-decoration: underline;
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

@media (max-width: 768px) {
  .modal__container__content {
    width: 80%;
  }

  .display__scores__content {
    width: 80%;
  }

  .gameboard__container__alphabet__button {
    height: 45px;
    max-width: 30px;
    min-width: 30px;
  }

  .gameboard__container__grid__row__cell {
    width: 40px;
    height: 40px;
  }

  .loginpage__container {
    min-width: 320px;
    max-width: 320px;
  }

  .stats__content {
    width: 85%;
  }

  .stats__player li {
    margin: 5px;
  }

  .stats__player .stats__value {
    font-size: 30px;
  }

  .stats__player .stats__name {
    font-size: 12px;
  }
}
